<template>
  <div class="root">
    <div class="content">
      <files></files>
    </div>
    <div class="sidenav">
      <choices></choices>
    </div>
  </div>
</template>

<script>
import Choices from '../components/Choices'
import Files from '../components/Files'
import Settings from '../components/Settings'
import { setHtmlTags } from '../utils'

export default {
  methods: {
    updateContent: function () {
      const bpConfig = this.$route.params.bpConfig
      // console.log('bpConfig', bpConfig)
      if (bpConfig) {
        // Set state by URL
        this.$store.dispatch('generateBoilerplateByRoute')

        // Send GA event
        this.$ga.event('boilerplate-generated', bpConfig)

        // Set title and meta tags
        setHtmlTags(this.$store.getters.getTitle + ' - python-boilerplate.com')
      }
    }
  },
  components: {
    Choices, Files, Settings
  },
  created: function () {
    this.updateContent()
  },
  watch: {
    // If the route changes, update the content accordingly
    '$route': 'updateContent'
  }
}
</script>

<style>
.root {
    z-index: 2;
}

.sidenav {
  top: 0px;
  left: 0px;
  bottom: 0px;
  box-sizing: border-box;
  overflow-y: auto;
  display: block;
  position: absolute;
  width: 260px;

  padding-top: 66px;
  padding-left: 10px;

  color: rgb(54, 65, 73);
  border-right-color: rgba(0, 0, 0, 0.07);
  border-right-style: solid;
  border-right-width: 1px;
}

.content {
  top: 60px;
  left: 0px;
  bottom: 0px;
  box-sizing: border-box;
  overflow-y: auto;
  position: absolute;
  width: 100%;
  min-width: 400px;

  color: rgb(54, 65, 73);
  display: block;

  padding-left: 280px;
  padding-right: 20px;
}
</style>
